#!/bin/sh -x

# Nov 27 2001, edited Feb. 11 2005 and Mar. 9 2007
# Setting the time:
# First the system time, diverting output to /var/log/messages.
# Then setting the HWclock to the new system time.
#
# Again, as in 'time-recover.sh': replace 'foo.time.server' with
# a correct value ...
#
ls -l /etc/adjtime && \
cp -iv /etc/adjtime /etc/adjtime.`date +%y-%m-%d-%H%M` && \
ntpdate -u -v foo.time.server && \
hwclock --debug --systohc --utc && \
depmod --quick
